/*!
	IConnectionTool.h

	フィルタ、レスポンス用ツールセット
*/
#pragma once
#include "IConnectionControl.h"
#include "IConnectionThreadStatus.h"
#include "Context.h"

/*!
	フィルタ、レスポンス用ツールセット
*/
class IConnectionTool
{
public:
	//!	サーバツール取得
	virtual IServerToolPtr GetIServerTool() = 0;

	//!	スレッドステータス取得
	virtual IConnectionThreadStatusPtr GetIConnectionThreadStatus() = 0;

	//!	接続取得
	virtual IConnectionControlPtr GetIConnectionControl() = 0;
		
	//!	コンテキスト取得
	virtual void GetContxet(IWorkspaceAccessRefPtr context) = 0;
};
//!	ポインタ型
typedef IConnectionTool* IConnectionToolPtr;
